﻿using System;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

using Master.Models;
using Master.ViewModels;
using Test.ViewModels;
using Syncfusion.SfDataGrid.XForms;

namespace Master.Views
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class ItemDetailPage : ContentPage
    {


        public ItemDetailPage(ViewModel viewModel)
        {
            InitializeComponent();

            BindingContext = this.viewModel = viewModel;
        }

        public ItemDetailPage()
        {
            InitializeComponent();

            var item = new Item
            {
                Text = "Item 1",
                Description = "This is an item description."
            };

            viewModel = new ViewModel();
            BindingContext = viewModel;
        }
    }
}